Summary:	Simple and fun paint program for kids
Name: 		tuxpaint
Version:	0.9.13
Release:	1mdk
#newer than 9.0 cvs build:
Epoch:		1
License:	GPL
Source: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.9.13-Makefile.patch.bz2
Patch1:		%{name}-0.9.13-show-build.patch.bz2
Group:		Graphics
URL:		http://www.newbreedsoftware.com/tuxpaint/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  png-devel freetype2-devel
BuildRequires:	gettext kdelibs-common
BuildRequires:	SDL-devel SDL_mixer-devel SDL_ttf-devel SDL_image-devel
#for printing:
Requires: 	netpbm

%description
Tux Paint is a simple paint program gear towards young children. 
It provides a simple but entertaining interface, allows drawing
with brushes, lines, shapes, and 'stamps,' and has a 'magic' 
tool, for special effects. Loading and saving is done via a 
graphical interface, and the underlying environment's 
filesystem isn't exposed (much like programs on PDAs).

%prep
%setup -q 
%patch0 -p1 -b .danny
%patch1 -p1 -b .peroyvind
rm -rf `find -name CVS`

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
make install BUILDPREFIX="%buildroot" CONFIGDIR="/share/tuxpaint/" 

%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT/%_menudir/
kdedesktop2mdkmenu.pl tuxpaint "Multimedia/Graphics" src/tuxpaint.desktop $RPM_BUILD_ROOT/%_menudir/%{name}

install -m644 data/images/icon16x16.png -D $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 data/images/icon48x48.png -D $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
install -m644 data/images/icon32x32.png -D $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png

rm -f $RPM_BUILD_ROOT/%_datadir/%name/images/icon*x*.png $RPM_BUILD_ROOT/%_datadir/%{name}/images/icon-win32.png

#Fix perms:
chmod -R go+r docs/

#Remove docs placed by an idiotic makefile
rm -Rf %{buildroot}/%{_datadir}/doc/%{name}
rm -Rf %{buildroot}/%{_datadir}/%{name}/images/icon32x32.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
#/sbin/ldconfig

%postun
%{clean_menus}
#/sbin/ldconfig

%files -f %{name}.lang
%defattr(755,root,root,755)
%_bindir/%{name}
%_bindir/%{name}-import
%defattr(644,root,root,755)
%{_datadir}/%{name}
%doc docs/*
%_mandir/man1/%{name}.1*
%_mandir/man1/%{name}-import.1*
%lang(pl) %{_mandir}/pl/man1/%{name}.1*
%_menudir/%{name}
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_iconsdir}/*.png

%changelog
* Sun Jan 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.13-1mdk
- 0.9.13
- fix buildrequires (lib64..)
- regenerate P0 & P1

* Wed Jun 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.11-1mdk
- 0.9.11
- added polish man page (I'd like to see %%find_lang able to do this in the future..:)
- don't hide build output (P1)
- macroize a little more
- get rid of CVS files

* Tue Apr 29 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.10-3mdk
- cleaned up, use more macros, be sure to own correct dirs

* Mon Mar 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.10-2mdk
- rm -rf buildroot before in install stage
- added kdelibs-common to buildrequires since we're using kdedesktop2mdkmenu.pl

* Mon Feb 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.10-1mdk
- 0.9.10

* Mon Feb 10 2003 Danny Tholen <obiwan@mailmij.org> 0.9.9-1mdk
- update to latest
- clean up spec a bit

* Tue Jan 21 2003 Danny Tholen <obiwan@mailmij.org> 0.9.5-1mdk
- yippie, a new version!
- split up packages

* Tue Aug 6 2002 Danny Tholen <obiwan@mailmij.org> 2002.08.23-1mdk
- New version

* Tue Aug 6 2002 Danny Tholen <obiwan@mailmij.org> 2002.08.02-2mdk
- Merged with docbook-to-man
- Build for cooker as well

* Sun Aug 4 2002 Danny Tholen <obiwan@mailmij.org> 2002.08.02-1mdk
- Mandrake package
